Light Logo
Variables

List variables

Retrieve a paginated list of variables for the authenticated account. The variables are sorted by creation time, newest to oldest.

GET
/variables
AuthorizationBearer <token>

In: header

Query Parameters

cursor?Cursor

The starting point to fetch the next set of items.

page_size?Page Size

The number of results per page.

Default25
Range5 <= value <= 50

Response Body

curl -X GET "https://api.wrift.ai/v1/variables?cursor=string&page_size=25"
{
  "items": [
    {
      "key": "string",
      "value": "string",
      "secret": true,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string",
  "previous_cursor": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}